import { Routes } from '@angular/router';

export const mapModuleRoutes: Routes = [
    {
        path: 'map_module/maps/index',
        loadComponent: () => import('./pages/maps/maps-index/maps-index.component').then(m => m.MapsIndexComponent)
    },
    {
        path: 'map_module/mapeditors/view/:id/:fullscreen/:rotation/:interval',
        loadComponent: () => import('./pages/mapeditors/mapeditors-view/mapeditors-view.component').then(m => m.MapeditorsViewComponent),
    },
    {
        path: 'map_module/mapeditors/view/:id/:fullscreen/:rotation',
        loadComponent: () => import('./pages/mapeditors/mapeditors-view/mapeditors-view.component').then(m => m.MapeditorsViewComponent),
    },
    {
        path: 'map_module/mapeditors/view/:id/:fullscreen',
        loadComponent: () => import('./pages/mapeditors/mapeditors-view/mapeditors-view.component').then(m => m.MapeditorsViewComponent),
    },
    {
        path: 'map_module/mapeditors/view/:id',
        loadComponent: () => import('./pages/mapeditors/mapeditors-view/mapeditors-view.component').then(m => m.MapeditorsViewComponent),
    },
    {
        path: 'map_module/rotations/index',
        loadComponent: () => import('./pages/rotations/rotations-index/rotations-index.component').then(m => m.RotationsIndexComponent)
    }
];
